Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--org.eclipse.egit.github.core.tests/.classpath2
-rw-r--r--org.eclipse.egit.github.core.tests/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF14
-rw-r--r--org.eclipse.egit.github.core.tests/pom.xml2
-rw-r--r--org.eclipse.egit.github.core/.classpath2
-rw-r--r--org.eclipse.egit.github.core/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--org.eclipse.egit.github.core/META-INF/MANIFEST.MF14
-rw-r--r--org.eclipse.egit.github.core/META-INF/SOURCE-MANIFEST.MF12
-rw-r--r--org.eclipse.egit.github.core/pom-jar.xml6
-rw-r--r--org.eclipse.egit.github.core/pom.xml2
-rw-r--r--org.eclipse.mylyn.github-feature/feature.xml2
-rw-r--r--org.eclipse.mylyn.github-feature/github.target2
-rw-r--r--org.eclipse.mylyn.github-feature/pom.xml2
-rw-r--r--org.eclipse.mylyn.github-site/pom.xml2
-rw-r--r--org.eclipse.mylyn.github.core/.classpath2
-rw-r--r--org.eclipse.mylyn.github.core/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF20
-rw-r--r--org.eclipse.mylyn.github.core/pom.xml2
-rwxr-xr-xorg.eclipse.mylyn.github.doc/.settings/org.eclipse.jdt.core.prefs6
-rwxr-xr-xorg.eclipse.mylyn.github.doc/META-INF/MANIFEST.MF2
-rwxr-xr-xorg.eclipse.mylyn.github.doc/pom.xml2
-rw-r--r--org.eclipse.mylyn.github.tests/.classpath2
-rw-r--r--org.eclipse.mylyn.github.tests/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF8
-rw-r--r--org.eclipse.mylyn.github.tests/pom.xml2
-rw-r--r--org.eclipse.mylyn.github.ui/.classpath2
-rw-r--r--org.eclipse.mylyn.github.ui/.settings/egit-github.launch2
-rwxr-xr-xorg.eclipse.mylyn.github.ui/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF26
-rw-r--r--org.eclipse.mylyn.github.ui/pom.xml2
-rw-r--r--pom.xml8
31 files changed, 89 insertions, 89 deletions
diff --git a/org.eclipse.egit.github.core.tests/.classpath b/org.eclipse.egit.github.core.tests/.classpath
index b1dabee3..b862a296 100644
--- a/org.eclipse.egit.github.core.tests/.classpath
+++ b/org.eclipse.egit.github.core.tests/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/org.eclipse.egit.github.core.tests/.settings/org.eclipse.jdt.core.prefs b/org.eclipse.egit.github.core.tests/.settings/org.eclipse.jdt.core.prefs
index 24ed0404..cdf83f03 100644
--- a/org.eclipse.egit.github.core.tests/.settings/org.eclipse.jdt.core.prefs
+++ b/org.eclipse.egit.github.core.tests/.settings/org.eclipse.jdt.core.prefs
@@ -1,8 +1,8 @@
#Wed May 18 07:04:44 CEST 2011
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
diff --git a/org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF b/org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF
index e71cb3d4..8e725453 100644
--- a/org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.egit.github.core.tests
-Bundle-Version: 4.5.1.qualifier
+Bundle-Version: 4.6.0.qualifier
Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: com.google.gson;version="[1.6.0,3.0.0]",
com.google.gson.reflect;version="[1.6.0,3.0.0)",
- org.eclipse.egit.github.core;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.client;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.event;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.service;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.util;version="[4.5.1,4.6.0)",
+ org.eclipse.egit.github.core;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.client;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.event;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.service;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.util;version="[4.6.0,4.7.0)",
org.mockito;version="[1.8.4,2.0.0)",
org.mockito.runners;version="[1.8.4,2.0.0)",
org.mockito.stubbing;version="[1.8.4,2.0.0)"
diff --git a/org.eclipse.egit.github.core.tests/pom.xml b/org.eclipse.egit.github.core.tests/pom.xml
index 2a45d5f6..2fd5185a 100644
--- a/org.eclipse.egit.github.core.tests/pom.xml
+++ b/org.eclipse.egit.github.core.tests/pom.xml
@@ -16,7 +16,7 @@
<parent>
<groupId>org.eclipse.mylyn.github</groupId>
<artifactId>github-parent</artifactId>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.egit.github.core.tests</artifactId>
diff --git a/org.eclipse.egit.github.core/.classpath b/org.eclipse.egit.github.core/.classpath
index b1dabee3..b862a296 100644
--- a/org.eclipse.egit.github.core/.classpath
+++ b/org.eclipse.egit.github.core/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/org.eclipse.egit.github.core/.settings/org.eclipse.jdt.core.prefs b/org.eclipse.egit.github.core/.settings/org.eclipse.jdt.core.prefs
index 24ed0404..cdf83f03 100644
--- a/org.eclipse.egit.github.core/.settings/org.eclipse.jdt.core.prefs
+++ b/org.eclipse.egit.github.core/.settings/org.eclipse.jdt.core.prefs
@@ -1,8 +1,8 @@
#Wed May 18 07:04:44 CEST 2011
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
diff --git a/org.eclipse.egit.github.core/META-INF/MANIFEST.MF b/org.eclipse.egit.github.core/META-INF/MANIFEST.MF
index 683157b6..8849611f 100644
--- a/org.eclipse.egit.github.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.github.core/META-INF/MANIFEST.MF
@@ -3,15 +3,15 @@ Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.egit.github.core
-Bundle-Version: 4.5.1.qualifier
+Bundle-Version: 4.6.0.qualifier
Bundle-Vendor: %providerName
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: com.google.gson;version="[1.6.0,3.0.0)",
com.google.gson.annotations;version="[1.6.0,3.0.0)",
com.google.gson.reflect;version="[1.6.0,3.0.0)",
com.google.gson.stream;version="[1.6.0,3.0.0)"
-Export-Package: org.eclipse.egit.github.core;version="4.5.1",
- org.eclipse.egit.github.core.client;version="4.5.1",
- org.eclipse.egit.github.core.event;version="4.5.1",
- org.eclipse.egit.github.core.service;version="4.5.1",
- org.eclipse.egit.github.core.util;version="4.5.1"
+Export-Package: org.eclipse.egit.github.core;version="4.6.0",
+ org.eclipse.egit.github.core.client;version="4.6.0",
+ org.eclipse.egit.github.core.event;version="4.6.0",
+ org.eclipse.egit.github.core.service;version="4.6.0",
+ org.eclipse.egit.github.core.util;version="4.6.0"
diff --git a/org.eclipse.egit.github.core/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.egit.github.core/META-INF/SOURCE-MANIFEST.MF
index 76141ec2..41203eeb 100644
--- a/org.eclipse.egit.github.core/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.egit.github.core/META-INF/SOURCE-MANIFEST.MF
@@ -2,14 +2,14 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: EGit GitHub API Core
Bundle-SymbolicName: org.eclipse.egit.github.core
-Bundle-Version: 4.5.1.qualifier
+Bundle-Version: 4.6.0.qualifier
Bundle-Vendor: Eclipse EGit
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: com.google.gson;version="[1.6.0,3.0.0)",
com.google.gson.annotations;version="[1.6.0,3.0.0)",
com.google.gson.reflect;version="[1.6.0,3.0.0)",
com.google.gson.stream;version="[1.6.0,3.0.0)"
-Export-Package: org.eclipse.egit.github.core;version="4.5.1",
- org.eclipse.egit.github.core.client;version="4.5.1",
- org.eclipse.egit.github.core.service;version="4.5.1",
- org.eclipse.egit.github.core.util;version="4.5.1"
+Export-Package: org.eclipse.egit.github.core;version="4.6.0",
+ org.eclipse.egit.github.core.client;version="4.6.0",
+ org.eclipse.egit.github.core.service;version="4.6.0",
+ org.eclipse.egit.github.core.util;version="4.6.0"
diff --git a/org.eclipse.egit.github.core/pom-jar.xml b/org.eclipse.egit.github.core/pom-jar.xml
index 88667ffd..0e63cb09 100644
--- a/org.eclipse.egit.github.core/pom-jar.xml
+++ b/org.eclipse.egit.github.core/pom-jar.xml
@@ -5,7 +5,7 @@
<groupId>org.eclipse.mylyn.github</groupId>
<artifactId>org.eclipse.egit.github.core</artifactId>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
<parent>
<groupId>org.sonatype.oss</groupId>
@@ -41,8 +41,8 @@
<artifactId>maven-compiler-plugin</artifactId>
<version>2.5.1</version>
<configuration>
- <source>1.7</source>
- <target>1.7</target>
+ <source>1.8</source>
+ <target>1.8</target>
</configuration>
</plugin>
<plugin>
diff --git a/org.eclipse.egit.github.core/pom.xml b/org.eclipse.egit.github.core/pom.xml
index 3fe75ede..3495f6a1 100644
--- a/org.eclipse.egit.github.core/pom.xml
+++ b/org.eclipse.egit.github.core/pom.xml
@@ -15,7 +15,7 @@
<parent>
<groupId>org.eclipse.mylyn.github</groupId>
<artifactId>github-parent</artifactId>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
</parent>
<modelVersion>4.0.0</modelVersion>
diff --git a/org.eclipse.mylyn.github-feature/feature.xml b/org.eclipse.mylyn.github-feature/feature.xml
index 6d821ddb..9a321230 100644
--- a/org.eclipse.mylyn.github-feature/feature.xml
+++ b/org.eclipse.mylyn.github-feature/feature.xml
@@ -2,7 +2,7 @@
<feature
id="org.eclipse.mylyn.github.feature"
label="%featureName"
- version="4.5.1.qualifier"
+ version="4.6.0.qualifier"
provider-name="%providerName"
plugin="org.eclipse.egit">
diff --git a/org.eclipse.mylyn.github-feature/github.target b/org.eclipse.mylyn.github-feature/github.target
index 37753e03..9c3b121f 100644
--- a/org.eclipse.mylyn.github-feature/github.target
+++ b/org.eclipse.mylyn.github-feature/github.target
@@ -28,5 +28,5 @@
<repository location="http://download.eclipse.org/egit/updates-nightly"/>
</location>
</locations>
-<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
</target>
diff --git a/org.eclipse.mylyn.github-feature/pom.xml b/org.eclipse.mylyn.github-feature/pom.xml
index 013f427d..305d7ab3 100644
--- a/org.eclipse.mylyn.github-feature/pom.xml
+++ b/org.eclipse.mylyn.github-feature/pom.xml
@@ -14,7 +14,7 @@
<parent>
<artifactId>github-parent</artifactId>
<groupId>org.eclipse.mylyn.github</groupId>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
</parent>
<modelVersion>4.0.0</modelVersion>
<artifactId>org.eclipse.mylyn.github.feature</artifactId>
diff --git a/org.eclipse.mylyn.github-site/pom.xml b/org.eclipse.mylyn.github-site/pom.xml
index 64be64fe..854230f0 100644
--- a/org.eclipse.mylyn.github-site/pom.xml
+++ b/org.eclipse.mylyn.github-site/pom.xml
@@ -15,7 +15,7 @@
<parent>
<groupId>org.eclipse.mylyn.github</groupId>
<artifactId>github-parent</artifactId>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
</parent>
<artifactId>github-updatesite</artifactId>
diff --git a/org.eclipse.mylyn.github.core/.classpath b/org.eclipse.mylyn.github.core/.classpath
index 098194ca..eca7bdba 100644
--- a/org.eclipse.mylyn.github.core/.classpath
+++ b/org.eclipse.mylyn.github.core/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/org.eclipse.mylyn.github.core/.settings/org.eclipse.jdt.core.prefs b/org.eclipse.mylyn.github.core/.settings/org.eclipse.jdt.core.prefs
index 459b1c16..088bba04 100644
--- a/org.eclipse.mylyn.github.core/.settings/org.eclipse.jdt.core.prefs
+++ b/org.eclipse.mylyn.github.core/.settings/org.eclipse.jdt.core.prefs
@@ -1,12 +1,12 @@
#Fri Jul 30 10:22:35 CEST 2010
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
diff --git a/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
index c2f794fb..75e63f0d 100644
--- a/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
@@ -3,20 +3,20 @@ Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.mylyn.github.core;singleton:=true
-Bundle-Version: 4.5.1.qualifier
+Bundle-Version: 4.6.0.qualifier
Bundle-Vendor: %providerName
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Export-Package: org.eclipse.mylyn.internal.github.core;version="4.5.1";x-friends:="org.eclipse.mylyn.github.ui",
- org.eclipse.mylyn.internal.github.core.gist;version="4.5.1";x-friends:="org.eclipse.mylyn.github.ui",
- org.eclipse.mylyn.internal.github.core.issue;version="4.5.1";x-friends:="org.eclipse.mylyn.github.ui",
- org.eclipse.mylyn.internal.github.core.pr;version="4.5.1";x-friends:="org.eclipse.mylyn.github.ui"
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Export-Package: org.eclipse.mylyn.internal.github.core;version="4.6.0";x-friends:="org.eclipse.mylyn.github.ui",
+ org.eclipse.mylyn.internal.github.core.gist;version="4.6.0";x-friends:="org.eclipse.mylyn.github.ui",
+ org.eclipse.mylyn.internal.github.core.issue;version="4.6.0";x-friends:="org.eclipse.mylyn.github.ui",
+ org.eclipse.mylyn.internal.github.core.pr;version="4.6.0";x-friends:="org.eclipse.mylyn.github.ui"
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
org.eclipse.mylyn.tasks.core;bundle-version="[3.4.0,4.0.0)",
org.eclipse.mylyn.commons.net;bundle-version="[3.4.0,4.0.0)"
Import-Package: org.eclipse.egit.core;version="[4.0.0,5.0.0)",
- org.eclipse.egit.github.core;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.client;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.service;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.util;version="[4.5.1,4.6.0)",
+ org.eclipse.egit.github.core;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.client;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.service;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.util;version="[4.6.0,4.7.0)",
org.eclipse.jgit.lib;version="[4.0.0,5.0.0)",
org.eclipse.jgit.transport;version="[4.0.0,5.0.0)"
diff --git a/org.eclipse.mylyn.github.core/pom.xml b/org.eclipse.mylyn.github.core/pom.xml
index 4c59843d..da474d57 100644
--- a/org.eclipse.mylyn.github.core/pom.xml
+++ b/org.eclipse.mylyn.github.core/pom.xml
@@ -15,7 +15,7 @@
<parent>
<groupId>org.eclipse.mylyn.github</groupId>
<artifactId>github-parent</artifactId>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
</parent>
<modelVersion>4.0.0</modelVersion>
diff --git a/org.eclipse.mylyn.github.doc/.settings/org.eclipse.jdt.core.prefs b/org.eclipse.mylyn.github.doc/.settings/org.eclipse.jdt.core.prefs
index 26428299..60ee7c9e 100755
--- a/org.eclipse.mylyn.github.doc/.settings/org.eclipse.jdt.core.prefs
+++ b/org.eclipse.mylyn.github.doc/.settings/org.eclipse.jdt.core.prefs
@@ -1,8 +1,8 @@
#Wed Apr 27 22:38:44 CEST 2011
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
diff --git a/org.eclipse.mylyn.github.doc/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.doc/META-INF/MANIFEST.MF
index a41c1671..7f57d714 100755
--- a/org.eclipse.mylyn.github.doc/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.doc/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.mylyn.github.doc;singleton:=true
-Bundle-Version: 4.5.1.qualifier
+Bundle-Version: 4.6.0.qualifier
Bundle-Vendor: %providerName
Require-Bundle: org.eclipse.mylyn.wikitext.core;bundle-version="[1.3.0,2.0.0)";resolution:=optional,
org.eclipse.mylyn.wikitext.mediawiki.core;bundle-version="[1.3.0,2.0.0)";resolution:=optional
diff --git a/org.eclipse.mylyn.github.doc/pom.xml b/org.eclipse.mylyn.github.doc/pom.xml
index 7181532a..fc35745b 100755
--- a/org.eclipse.mylyn.github.doc/pom.xml
+++ b/org.eclipse.mylyn.github.doc/pom.xml
@@ -18,7 +18,7 @@ http://www.eclipse.org/legal/epl-v10.html
<parent>
<groupId>org.eclipse.mylyn.github</groupId>
<artifactId>github-parent</artifactId>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.mylyn.github.doc</artifactId>
diff --git a/org.eclipse.mylyn.github.tests/.classpath b/org.eclipse.mylyn.github.tests/.classpath
index 098194ca..eca7bdba 100644
--- a/org.eclipse.mylyn.github.tests/.classpath
+++ b/org.eclipse.mylyn.github.tests/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/org.eclipse.mylyn.github.tests/.settings/org.eclipse.jdt.core.prefs b/org.eclipse.mylyn.github.tests/.settings/org.eclipse.jdt.core.prefs
index 6626108b..56ae8c17 100644
--- a/org.eclipse.mylyn.github.tests/.settings/org.eclipse.jdt.core.prefs
+++ b/org.eclipse.mylyn.github.tests/.settings/org.eclipse.jdt.core.prefs
@@ -1,8 +1,8 @@
#Wed Feb 03 20:29:30 PST 2010
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
diff --git a/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
index c37c3f7b..e6512106 100644
--- a/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
@@ -2,8 +2,8 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Eclipse EGit Mylyn GitHub Tests
Bundle-SymbolicName: org.eclipse.mylyn.github.tests
-Bundle-Version: 4.5.1.qualifier
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-Version: 4.6.0.qualifier
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.jface.text;bundle-version="[3.5.0,4.0.0)",
org.eclipse.mylyn.tasks.ui;bundle-version="[3.2.0,4.0.0)",
org.eclipse.mylyn.tasks.core,
@@ -12,8 +12,8 @@ Require-Bundle: org.eclipse.jface.text;bundle-version="[3.5.0,4.0.0)",
org.hamcrest;bundle-version="[1.1.0,2.0.0)",
org.objenesis;bundle-version="[1.0.0,2.0.0)"
Bundle-Vendor: Eclipse EGit
-Import-Package: org.eclipse.mylyn.internal.github.core;version="[4.5.1,4.6.0)",
- org.eclipse.mylyn.internal.github.ui.issue;version="[4.5.1,4.6.0)",
+Import-Package: org.eclipse.mylyn.internal.github.core;version="[4.6.0,4.7.0)",
+ org.eclipse.mylyn.internal.github.ui.issue;version="[4.6.0,4.7.0)",
org.mockito;version="[1.8.4,2.0.0)",
org.mockito.runners;version="[1.8.4,2.0.0)",
org.mockito.stubbing;version="[1.8.4,2.0.0)"
diff --git a/org.eclipse.mylyn.github.tests/pom.xml b/org.eclipse.mylyn.github.tests/pom.xml
index 8e85c48d..92091a63 100644
--- a/org.eclipse.mylyn.github.tests/pom.xml
+++ b/org.eclipse.mylyn.github.tests/pom.xml
@@ -16,7 +16,7 @@
<parent>
<groupId>org.eclipse.mylyn.github</groupId>
<artifactId>github-parent</artifactId>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.mylyn.github.tests</artifactId>
diff --git a/org.eclipse.mylyn.github.ui/.classpath b/org.eclipse.mylyn.github.ui/.classpath
index 098194ca..eca7bdba 100644
--- a/org.eclipse.mylyn.github.ui/.classpath
+++ b/org.eclipse.mylyn.github.ui/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/org.eclipse.mylyn.github.ui/.settings/egit-github.launch b/org.eclipse.mylyn.github.ui/.settings/egit-github.launch
index 6cc593e6..a7f937e2 100644
--- a/org.eclipse.mylyn.github.ui/.settings/egit-github.launch
+++ b/org.eclipse.mylyn.github.ui/.settings/egit-github.launch
@@ -21,7 +21,7 @@
<listEntry value="org.eclipse.debug.ui.launchGroup.debug"/>
<listEntry value="org.eclipse.debug.ui.launchGroup.run"/>
</listAttribute>
-<stringAttribute key="org.eclipse.jdt.launching.JRE_CONTAINER" value="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+<stringAttribute key="org.eclipse.jdt.launching.JRE_CONTAINER" value="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<stringAttribute key="org.eclipse.jdt.launching.PROGRAM_ARGUMENTS" value="-os ${target.os} -ws ${target.ws} -arch ${target.arch} -nl ${target.nl} -consoleLog"/>
<stringAttribute key="org.eclipse.jdt.launching.SOURCE_PATH_PROVIDER" value="org.eclipse.pde.ui.workbenchClasspathProvider"/>
<booleanAttribute key="pde.generated.config" value="false"/>
diff --git a/org.eclipse.mylyn.github.ui/.settings/org.eclipse.jdt.core.prefs b/org.eclipse.mylyn.github.ui/.settings/org.eclipse.jdt.core.prefs
index 24ed0404..cdf83f03 100755
--- a/org.eclipse.mylyn.github.ui/.settings/org.eclipse.jdt.core.prefs
+++ b/org.eclipse.mylyn.github.ui/.settings/org.eclipse.jdt.core.prefs
@@ -1,8 +1,8 @@
#Wed May 18 07:04:44 CEST 2011
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
diff --git a/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF
index a248a744..9702e049 100644
--- a/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF
@@ -3,8 +3,8 @@ Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.mylyn.github.ui;singleton:=true
Bundle-Activator: org.eclipse.mylyn.internal.github.ui.GitHubUi
-Bundle-Version: 4.5.1.qualifier
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-Version: 4.6.0.qualifier
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
@@ -23,16 +23,16 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
org.eclipse.mylyn.context.core;bundle-version="[3.7.0,4.0.0)",
org.eclipse.mylyn.monitor.core;bundle-version="[3.7.0,4.0.0)",
org.eclipse.mylyn.resources.ui;bundle-version="[3.7.0,4.0.0)"
-Export-Package: org.eclipse.mylyn.internal.github.ui;version="4.5.1";x-internal:=true,
- org.eclipse.mylyn.internal.github.ui.gist;version="4.5.1";x-internal:=true,
- org.eclipse.mylyn.internal.github.ui.issue;version="4.5.1";x-internal:=true
+Export-Package: org.eclipse.mylyn.internal.github.ui;version="4.6.0";x-internal:=true,
+ org.eclipse.mylyn.internal.github.ui.gist;version="4.6.0";x-internal:=true,
+ org.eclipse.mylyn.internal.github.ui.issue;version="4.6.0";x-internal:=true
Bundle-ActivationPolicy: lazy
Import-Package: org.eclipse.egit.core;version="[4.0.0,5.0.0)",
org.eclipse.egit.core.op;version="[4.0.0,5.0.0)",
- org.eclipse.egit.github.core;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.client;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.service;version="[4.5.1,4.6.0)",
- org.eclipse.egit.github.core.util;version="[4.5.1,4.6.0)",
+ org.eclipse.egit.github.core;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.client;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.service;version="[4.6.0,4.7.0)",
+ org.eclipse.egit.github.core.util;version="[4.6.0,4.7.0)",
org.eclipse.egit.ui;version="[4.0.0,5.0.0)",
org.eclipse.egit.ui.internal;version="[4.0.0,5.0.0)",
org.eclipse.egit.ui.internal.branch;version="[4.0.0,5.0.0)",
@@ -47,7 +47,7 @@ Import-Package: org.eclipse.egit.core;version="[4.0.0,5.0.0)",
org.eclipse.jgit.transport;version="[4.0.0,5.0.0)",
org.eclipse.jgit.treewalk;version="[4.0.0,5.0.0)",
org.eclipse.jgit.treewalk.filter;version="[4.0.0,5.0.0)",
- org.eclipse.mylyn.internal.github.core;version="[4.5.1,4.6.0)",
- org.eclipse.mylyn.internal.github.core.gist;version="[4.5.1,4.6.0)",
- org.eclipse.mylyn.internal.github.core.issue;version="[4.5.1,4.6.0)",
- org.eclipse.mylyn.internal.github.core.pr;version="[4.5.1,4.6.0)"
+ org.eclipse.mylyn.internal.github.core;version="[4.6.0,4.7.0)",
+ org.eclipse.mylyn.internal.github.core.gist;version="[4.6.0,4.7.0)",
+ org.eclipse.mylyn.internal.github.core.issue;version="[4.6.0,4.7.0)",
+ org.eclipse.mylyn.internal.github.core.pr;version="[4.6.0,4.7.0)"
diff --git a/org.eclipse.mylyn.github.ui/pom.xml b/org.eclipse.mylyn.github.ui/pom.xml
index 84648f1a..53f42887 100644
--- a/org.eclipse.mylyn.github.ui/pom.xml
+++ b/org.eclipse.mylyn.github.ui/pom.xml
@@ -14,7 +14,7 @@
<parent>
<artifactId>github-parent</artifactId>
<groupId>org.eclipse.mylyn.github</groupId>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
</parent>
<modelVersion>4.0.0</modelVersion>
<artifactId>org.eclipse.mylyn.github.ui</artifactId>
diff --git a/pom.xml b/pom.xml
index 4a4d3387..fbb0de07 100644
--- a/pom.xml
+++ b/pom.xml
@@ -14,7 +14,7 @@
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
- <version>4.5.1-SNAPSHOT</version>
+ <version>4.6.0-SNAPSHOT</version>
<prerequisites>
<maven>3.0</maven>
</prerequisites>
@@ -115,8 +115,8 @@
<version>${tycho-version}</version>
<configuration>
<encoding>UTF-8</encoding>
- <source>1.7</source>
- <target>1.7</target>
+ <source>1.8</source>
+ <target>1.8</target>
</configuration>
</plugin>
<plugin>
@@ -206,7 +206,7 @@
<configuration>
<sourceEncoding>utf-8</sourceEncoding>
<minimumTokens>100</minimumTokens>
- <targetJdk>1.7</targetJdk>
+ <targetJdk>1.8</targetJdk>
<format>xml</format>
<failOnViolation>false</failOnViolation>
</configuration>

Back to the top